<template>
	<div class="column q-pa-md q-gutter-md">
		<h6 class="q-ma-none">Discount Report</h6>
		<div class="row q-gutter-md">
			<date-combo v-model="date"></date-combo>
			<div>
				<q-btn label="Get Report" @click="refreshData" color="green" />
			</div>
		</div>
		<b-table ref="table" class="full-width" :module="module" table-name="Reports_Billing_Discounts"
			:extra-post-data="meta_data"></b-table>

	</div>
</template>
<script>
export default {
	props: ['module'],
	components: {
		bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
		DateCombo: Vue.defineAsyncComponent(() => import(`components/widgets/date-combo.vue`))
	},
	data() {
		return {
			date: {
				from: null,
				to: null
			}
		}
	},
	computed: {
		meta_data() {
			let meta_data = {}
			if (this.date.from != null && this.date.to != null) {

				meta_data.From_Date = this.date.from
				meta_data.To_Date = this.date.to
			}

			return { meta_data }

		}
	},
	methods: {
		refreshData() {
			this.$refs.table.syncData()
		}
	}

}
</script>
